From 26c5910152da4720ff7130108a8a0fb953c8e431 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Tue, 12 May 2009 14:49:15 -0400
Subject: qt updated to 4.5.1

---
 abs/core-testing/qt/PKGBUILD              | 88 +++++++++++++------------------
 abs/core-testing/qt/assistant.desktop     |  8 +++
 abs/core-testing/qt/designer.desktop      |  9 ++++
 abs/core-testing/qt/linguist.desktop      |  9 ++++
 abs/core-testing/qt/qdoc3.patch           | 22 ++++++++
 abs/core-testing/qt/qt4-assistant.desktop | 10 ----
 abs/core-testing/qt/qt4-designer.desktop  | 11 ----
 abs/core-testing/qt/qt4-linguist.desktop  | 11 ----
 abs/core-testing/qt/qtconfig.desktop      |  8 +++
 9 files changed, 93 insertions(+), 83 deletions(-)
 create mode 100644 abs/core-testing/qt/assistant.desktop
 create mode 100644 abs/core-testing/qt/designer.desktop
 create mode 100644 abs/core-testing/qt/linguist.desktop
 create mode 100644 abs/core-testing/qt/qdoc3.patch
 delete mode 100644 abs/core-testing/qt/qt4-assistant.desktop
 delete mode 100644 abs/core-testing/qt/qt4-designer.desktop
 delete mode 100644 abs/core-testing/qt/qt4-linguist.desktop
 create mode 100644 abs/core-testing/qt/qtconfig.desktop

diff --git a/abs/core-testing/qt/PKGBUILD b/abs/core-testing/qt/PKGBUILD
index a06b7e0..b581564 100644
--- a/abs/core-testing/qt/PKGBUILD
+++ b/abs/core-testing/qt/PKGBUILD
@@ -1,31 +1,34 @@
-# $Id: PKGBUILD 18501 2008-11-06 12:11:46Z pierre $
+# $Id$
 # Maintainer: Pierre Schmitz <pierre@archlinux.de>
 
 pkgname=qt
-pkgver=4.4.3
+pkgver=4.5.1
 pkgrel=2
-_qtcopyver=880178
-pkgdesc="The QT gui toolkit."
+_qtcopyver=958581
+pkgdesc='A cross-platform application and UI framework'
 arch=('i686' 'x86_64')
-url="http://www.trolltech.com/products/qt"
-license=('GPL3')
-options=('!libtool' '!docs')
-depends=('libpng' 'libxi' 'mesa' 'fontconfig' 'libxrandr' 'glib2' 'libtiff' 'libmng' 'sqlite3' 'dbus' 'libxcursor' 'libxinerama')
+url='http://www.qtsoftware.com/'
+license=('GPL3' 'LGPL')
+depends=('libpng' 'mesa' 'fontconfig' 'libtiff' 'libmng' 'sqlite3' 'libxrandr' 'glib2' 'libxi' 'dbus' 'libxcursor' 'libxinerama' 'libxrender')
 optdepends=('postgresql-libs' 'libmysqlclient' 'unixodbc')
 makedepends=('inputproto' 'postgresql-libs' 'mysql' 'unixodbc' 'libxfixes')
 provides=("qt4=${pkgver}")
 replaces=('qt4')
 conflicts=('qt4')
-_pkgfqn=qt-x11-opensource-src-$pkgver
-# svn export -r -${_qtcopyver} svn://anonsvn.kde.org/home/kde/trunk/qt-copy/patches/ qt-copy-patches-${_qtcopyver}
-source=("ftp://ftp.trolltech.com/qt/source/${_pkgfqn}.tar.bz2"
+options=('!libtool')
+_pkgfqn="qt-x11-opensource-src-${pkgver}"
+# svn export -r${_qtcopyver} svn://anonsvn.kde.org/home/kde/trunk/qt-copy/patches/ qt-copy-patches-${_qtcopyver}
+source=("ftp://ftp.qtsoftware.com/qt/source/${_pkgfqn}.tar.bz2"
         "ftp://ftp.archlinux.org/other/qt/qt-copy-patches-${_qtcopyver}.tar.bz2"
-        'qt4-assistant.desktop' 'qt4-designer.desktop' 'qt4-linguist.desktop')
-md5sums=('00e00c6324d342a7b0d8653112b4f08c'
-         'd3a40d783528a86174b62ecfc136b031'
-         'c95e1697bf2b923199c3b8cd7d485a17'
-         '00333dca87e24767383217ba378b5980'
-         '71f7ac8206c19da7ecf71cdb391f0452')
+        'assistant.desktop' 'designer.desktop' 'linguist.desktop' 'qtconfig.desktop'
+        'qdoc3.patch')
+md5sums=('afc43e566341cf3e5ed0bcb974f0c3b2'
+         'b57b08ac7f990f91b85a7b1b1106e36b'
+         'b352b4b70faba2571af3fce5d119580a'
+         '491a96682faa03407f768a53cca71db5'
+         'cda7ed7e132689991dc2968a0043b4b0'
+         '717669b728a0a795217d2f52969e454c'
+         '868056a3edab09fbac0f82ec8b4a4be3')
 
 build() {
 	unset QMAKESPEC
@@ -39,58 +42,41 @@ build() {
 		patch -p0 -i $i || return 1
 	done
 
-	# remove unwanted mkspecs
-	cd mkspecs/
-	find . -maxdepth 1 -regextype posix-egrep -type d ! -regex "./linux.*|./common|./features|./qws" -exec rm -rf "{}" \;
-	cd qws
-	find . -maxdepth 1 -regextype posix-egrep -type d ! -regex "./linux.*" -exec rm -rf "{}" \;
-	cd ../../
+	patch -p1 -i $srcdir/qdoc3.patch
 
-	sed -i 's|-cp -P -f|-cp -L -f|' qmake/Makefile.unix
 	sed -i "s|-O2|$CXXFLAGS|" mkspecs/common/g++.conf
-	# fix postgres build
-	sed -e '/pg_config --libs/d' -i configure
-	# do not compile demos, examples and docs
-	sed -i 's|CFG_NOBUILD_PARTS=""|CFG_NOBUILD_PARTS="demos examples docs"|' configure
 
-	./configure -confirm-license \
+	./configure -confirm-license -opensource \
+		-silent \
 		-prefix /usr \
-		-docdir /usr/share/doc/qt \
+		-sysconfdir /etc \
 		-plugindir /usr/lib/qt/plugins \
-		-datadir /usr/share/qt \
 		-translationdir /usr/share/qt/translations \
-		-sysconfdir /etc \
+		-datadir /usr/share/qt \
+		-docdir /usr/share/doc/qt \
 		-examplesdir /usr/share/doc/qt/examples \
 		-demosdir /usr/share/doc/qt/demos \
-		-no-exceptions \
+		-no-separate-debug-info \
 		-plugin-sql-{psql,mysql,sqlite,odbc} \
 		-system-sqlite \
-		-no-phonon \
-		-dbus-linked \
-		-webkit \
-		-no-separate-debug-info \
+		-openssl-linked \
+		-nomake demos \
 		-nomake examples \
 		-nomake docs \
-		-nomake demos \
-		-assistant-webkit \
-		-system-libpng \
-		-system-libjpeg \
-		-system-zlib \
-		-openssl-linked \
-		-reduce-relocations \
-		-xinerama \
-		-xcursor \
-		-xfixes \
-		-optimized-qmake || return 1
+		-no-phonon \
+		-optimized-qmake \
+		-reduce-relocations
 
-	make || return 1
-	make INSTALL_ROOT=$pkgdir install || return 1
+	make
+	make INSTALL_ROOT=$pkgdir install
 
 	install -D -m644 tools/assistant/tools/assistant/images/assistant.png ${pkgdir}/usr/share/pixmaps/assistant.png
 	install -D -m644 tools/linguist/linguist/images/appicon.png ${pkgdir}/usr/share/pixmaps/linguist.png
 	install -D -m644 tools/designer/src/designer/images/designer.png ${pkgdir}/usr/share/pixmaps/designer.png
+	install -D -m644 src/gui/dialogs/images/qtlogo-64.png ${pkgdir}/usr/share/pixmaps/qtlogo.png
 	install -d ${pkgdir}/usr/share/applications
-	install -m644 ${srcdir}/qt4-{linguist,designer,assistant}.desktop ${pkgdir}/usr/share/applications/
+	install -m644 ${srcdir}/{linguist,designer,assistant,qtconfig}.desktop ${pkgdir}/usr/share/applications/
+	install -D -m644 LGPL_EXCEPTION.txt ${pkgdir}/usr/share/licenses/qt/LGPL_EXCEPTION.txt
 
 	# cleanup and path fixes
 	find $pkgdir/usr/lib -type f -name '*prl' -print -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
diff --git a/abs/core-testing/qt/assistant.desktop b/abs/core-testing/qt/assistant.desktop
new file mode 100644
index 0000000..48105b9
--- /dev/null
+++ b/abs/core-testing/qt/assistant.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Exec=/usr/bin/assistant
+Name=Qt Assistant
+GenericName=Qt Document Browser
+Icon=/usr/share/pixmaps/assistant.png
+Terminal=false
+Type=Application
+Categories=Qt;Development;Documentation
diff --git a/abs/core-testing/qt/designer.desktop b/abs/core-testing/qt/designer.desktop
new file mode 100644
index 0000000..fefe095
--- /dev/null
+++ b/abs/core-testing/qt/designer.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Exec=/usr/bin/designer
+Name=Qt Designer
+GenericName=Interface Designer
+MimeType=application/x-designer
+Icon=/usr/share/pixmaps/designer.png
+Terminal=false
+Type=Application
+Categories=Qt;Development;GUIDesigner
diff --git a/abs/core-testing/qt/linguist.desktop b/abs/core-testing/qt/linguist.desktop
new file mode 100644
index 0000000..04519bf
--- /dev/null
+++ b/abs/core-testing/qt/linguist.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Exec=/usr/bin/linguist
+Name=Qt Linguist
+GenericName=Translation Tool
+MimeType=application/x-linguist
+Terminal=false
+Type=Application
+Icon=/usr/share/pixmaps/linguist.png
+Categories=Qt;Development;Translation
diff --git a/abs/core-testing/qt/qdoc3.patch b/abs/core-testing/qt/qdoc3.patch
new file mode 100644
index 0000000..38ae735
--- /dev/null
+++ b/abs/core-testing/qt/qdoc3.patch
@@ -0,0 +1,22 @@
+diff -up qt-x11-opensource-src-4.5.0/tools/qdoc3/qdoc3.pro.qdoc3 qt-x11-opensource-src-4.5.0/tools/qdoc3/qdoc3.pro
+--- qt-x11-opensource-src-4.5.0/tools/qdoc3/qdoc3.pro.qdoc3	2009-02-25 15:09:26.000000000 -0600
++++ qt-x11-opensource-src-4.5.0/tools/qdoc3/qdoc3.pro	2009-03-04 09:30:05.000000000 -0600
+@@ -106,3 +106,7 @@ win32 {
+         QT_WINCONFIG = debug
+     }    
+ }
++
++TARGET= qdoc3
++target.path = $$[QT_INSTALL_BINS]
++INSTALLS += target
+diff -up qt-x11-opensource-src-4.5.0/tools/tools.pro.qdoc3 qt-x11-opensource-src-4.5.0/tools/tools.pro
+--- qt-x11-opensource-src-4.5.0/tools/tools.pro.qdoc3	2009-02-25 15:09:27.000000000 -0600
++++ qt-x11-opensource-src-4.5.0/tools/tools.pro	2009-03-04 09:44:18.000000000 -0600
+@@ -13,6 +13,7 @@ no-png {
+          SUBDIRS += designer
+      }
+      SUBDIRS     += linguist
++     SUBDIRS     += qdoc3
+      wince*: SUBDIRS = qtestlib designer
+      unix:!mac:!embedded:contains(QT_CONFIG, qt3support):SUBDIRS += qtconfig
+      win32:!wince*:!contains(QT_EDITION, OpenSource|Console):SUBDIRS += activeqt
diff --git a/abs/core-testing/qt/qt4-assistant.desktop b/abs/core-testing/qt/qt4-assistant.desktop
deleted file mode 100644
index 5d64aba..0000000
--- a/abs/core-testing/qt/qt4-assistant.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Exec=/usr/bin/assistant
-Name=Qt 4 Assistant
-GenericName=Qt4 Document Browser
-X-KDE-StartupNotify=true
-Icon=/usr/share/pixmaps/assistant.png
-Terminal=false
-Type=Application
-Categories=Qt;Development;Documentation
diff --git a/abs/core-testing/qt/qt4-designer.desktop b/abs/core-testing/qt/qt4-designer.desktop
deleted file mode 100644
index f4f91e8..0000000
--- a/abs/core-testing/qt/qt4-designer.desktop
+++ /dev/null
@@ -1,11 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Exec=/usr/bin/designer
-Name=Qt 4 Designer
-GenericName=Interface Designer
-X-KDE-StartupNotify=true
-MimeType=application/x-designer
-Icon=/usr/share/pixmaps/designer.png
-Terminal=false
-Type=Application
-Categories=Qt;Development;GUIDesigner
diff --git a/abs/core-testing/qt/qt4-linguist.desktop b/abs/core-testing/qt/qt4-linguist.desktop
deleted file mode 100644
index fee679e..0000000
--- a/abs/core-testing/qt/qt4-linguist.desktop
+++ /dev/null
@@ -1,11 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Exec=/usr/bin/linguist
-Name=Qt 4 Linguist
-GenericName=Translation Tool
-X-KDE-StartupNotify=true
-MimeType=application/x-linguist
-Terminal=false
-Type=Application
-Icon=/usr/share/pixmaps/linguist.png
-Categories=Qt;Development;Translation
diff --git a/abs/core-testing/qt/qtconfig.desktop b/abs/core-testing/qt/qtconfig.desktop
new file mode 100644
index 0000000..633d921
--- /dev/null
+++ b/abs/core-testing/qt/qtconfig.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Qt Config 
+Comment=Configure Qt behavior, styles, fonts
+Exec=/usr/bin/qtconfig
+Icon=/usr/share/pixmaps/qtlogo
+Terminal=false
+Type=Application
+Categories=Qt;Settings;
-- 
cgit v0.12


From 085cc41aa016711765f1a5842a1cd892add0dea2 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Tue, 12 May 2009 14:49:59 -0400
Subject: mythtv-svn bumped for new qt4

---
 abs/core-testing/mythtv/trunk/morethemes/PKGBUILD     | 2 +-
 abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD    | 2 +-
 abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD    | 2 +-
 abs/core-testing/mythtv/trunk/mythflix/PKGBUILD       | 2 +-
 abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD    | 2 +-
 abs/core-testing/mythtv/trunk/mythgame/PKGBUILD       | 2 +-
 abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD     | 2 +-
 abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD      | 2 +-
 abs/core-testing/mythtv/trunk/mythnews/PKGBUILD       | 2 +-
 abs/core-testing/mythtv/trunk/myththemes/PKGBUILD     | 2 +-
 abs/core-testing/mythtv/trunk/mythtv/PKGBUILD         | 2 +-
 abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD      | 2 +-
 abs/core-testing/mythtv/trunk/mythweather/PKGBUILD    | 2 +-
 abs/core-testing/mythtv/trunk/mythweb/PKGBUILD        | 2 +-
 abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD | 2 +-
 15 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
index 1117ef7..76bf1e1 100644
--- a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=morethemes-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Additional themes for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
index 107e551..9b46396 100644
--- a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mytharchive-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
index c00c9a2..61027ee 100644
--- a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythbrowser-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Mini web browser for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD b/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
index 20a7831..9b8fc04 100644
--- a/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythflix-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Netflix access plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
index 8af88f9..e7237d6 100644
--- a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythgallery-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Image gallery plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
index 4cb12ed..aa7ce31 100644
--- a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythgame-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Emulation plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
index 75d2b7f..2007dea 100644
--- a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythmovies-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Displays information about movies playing in the area."
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
index b00c40b..d8f8d2f 100644
--- a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythmusic-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Music playing plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
index 99200d0..23f3115 100644
--- a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythnews-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="News checking plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
index 16b09bb..0176c51 100755
--- a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=myththemes-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Themes for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
index 3fb2082..b3dbcfd 100755
--- a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythtv-svn
 pkgver=20414
-pkgrel=3
+pkgrel=4
 pkgdesc="A personal video recorder for Linux"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
index 9b1e6e8..00ba11c 100644
--- a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythvideo-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Video playback and browsing plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
index 95e42ae..7beca03 100644
--- a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweather-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Weather checking plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
index 4f7f3ab..f2e28fd 100644
--- a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweb-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Web interface for MythTV's backend"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
index bdd4c3f..9c2933d 100644
--- a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythzoneminder-svn
 pkgver=20414
-pkgrel=1
+pkgrel=2
 pkgdesc="Integrates ZoneMinder into MythTV"
 url="http://www.mythtv.org"
 license="GPL"
-- 
cgit v0.12


From ef3be6739dffc0d4b6e763b5bdf209da5634d458 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Thu, 14 May 2009 19:07:39 -0400
Subject: updated libjpeg and added libsamplerate for XBMC build

---
 abs/core-testing/libjpeg/PKGBUILD        | 23 +++++++++++++++--------
 abs/extra-testing/libsamplerate/PKGBUILD | 23 +++++++++++++++++++++++
 2 files changed, 38 insertions(+), 8 deletions(-)
 create mode 100644 abs/extra-testing/libsamplerate/PKGBUILD

diff --git a/abs/core-testing/libjpeg/PKGBUILD b/abs/core-testing/libjpeg/PKGBUILD
index 807f7f5..baedcd4 100644
--- a/abs/core-testing/libjpeg/PKGBUILD
+++ b/abs/core-testing/libjpeg/PKGBUILD
@@ -1,21 +1,28 @@
-# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
-# Maintainer: dorphell <dorphell@archlinux.org>
+# $Id$
+# Maintainer: Allan McRae <allan@archlinux.org>
 # Committer: Judd Vinet <jvinet@zeroflux.org>
+
 pkgname=libjpeg
 pkgver=6b
-pkgrel=4
+pkgrel=6
 pkgdesc="Library of JPEG support functions"
 arch=('i686' 'x86_64')
+url="http://www.ijg.org/"
+license=('custom')
 depends=('glibc')
+makedepends=('libtool')
+options=(!libtool)
 source=(ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v$pkgver.tar.gz)
 md5sums=('dbd5f3b47ed13132f04c685d608a7547')
 
 build() {
-  cd $startdir/src/jpeg-$pkgver
+  cd $srcdir/jpeg-$pkgver
+  cp /usr/share/libtool/config/config.{guess,sub} .
+  sed -i "s#./libtool#libtool#" configure
   ./configure --prefix=/usr --enable-shared --enable-static
   make || return 1
-  mkdir -p $startdir/pkg/usr/{bin,lib,include,man/man1}
-  make prefix=$startdir/pkg/usr install
-
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  mkdir -p $pkgdir/usr/{bin,lib,include,share/man/man1}
+  make prefix=$pkgdir/usr mandir=$pkgdir/usr/share/man/man1 install
+  install -m644 jpegint.h $pkgdir/usr/include
+  install -Dm644 README $pkgdir/usr/share/licenses/libjpeg/README
 }
diff --git a/abs/extra-testing/libsamplerate/PKGBUILD b/abs/extra-testing/libsamplerate/PKGBUILD
new file mode 100644
index 0000000..1537675
--- /dev/null
+++ b/abs/extra-testing/libsamplerate/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id$
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Jason Chu <jchu@xentac.net>
+
+pkgname=libsamplerate
+pkgver=0.1.7
+pkgrel=1
+pkgdesc="Secret Rabbit Code - aka Sample Rate Converter for audio"
+arch=('i686' 'x86_64')
+url="http://www.mega-nerd.com/SRC/index.html"
+license=('GPL')
+depends=('libsndfile' 'flac>=1.1.4')
+options=('!libtool')
+source=(http://www.mega-nerd.com/SRC/libsamplerate-${pkgver}.tar.gz)
+md5sums=('ad093e60ec44f0a60de8e29983ddbc0f')
+sha1sums=('98a52392eb97f9ba724ca024b3af29a8a0cc0206')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
+}
-- 
cgit v0.12


From 62cb29a6151a9aacb0300c0681b3bc45a92ec0c2 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Thu, 14 May 2009 19:09:13 -0400
Subject: First cut at XBMC (svn with vdpau)

---
 abs/extra-testing/community/xbmc-svn/CHANGELOG     |  56 ++++++++++
 abs/extra-testing/community/xbmc-svn/PKGBUILD      | 124 +++++++++++++++++++++
 .../community/xbmc-svn/libcurl-not-in-lib64.patch  |  13 +++
 .../xbmc-svn/libfaad2-enable-AC_PROG_CXX.patch     |  13 +++
 .../community/xbmc-svn/xbmc-safe-fullscreen.patch  |  23 ++++
 .../community/xbmc-svn/xbmc-svn.install            |   9 ++
 6 files changed, 238 insertions(+)
 create mode 100644 abs/extra-testing/community/xbmc-svn/CHANGELOG
 create mode 100644 abs/extra-testing/community/xbmc-svn/PKGBUILD
 create mode 100644 abs/extra-testing/community/xbmc-svn/libcurl-not-in-lib64.patch
 create mode 100644 abs/extra-testing/community/xbmc-svn/libfaad2-enable-AC_PROG_CXX.patch
 create mode 100644 abs/extra-testing/community/xbmc-svn/xbmc-safe-fullscreen.patch
 create mode 100644 abs/extra-testing/community/xbmc-svn/xbmc-svn.install

diff --git a/abs/extra-testing/community/xbmc-svn/CHANGELOG b/abs/extra-testing/community/xbmc-svn/CHANGELOG
new file mode 100644
index 0000000..3db76d1
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/CHANGELOG
@@ -0,0 +1,56 @@
+xbmc-svn Change log:
+--------------------
+14th May 2009
+20231-2 - haggy: another shot in the dark to fix that damn goom compilation error
+
+13th May 2009
+20231 - haggy: smoothvideo!
+
+12th May 2009
+20172 - haggy: a shot in the dark: try another autoreconf inside goom and see if it helps.
+
+11th May 2009
+20149 - haggy: pushed rev, removed 'hitting-o-breaks...'-patch - it got fixed in svn
+
+9th May 2009
+20101 - haggy: an updated PM3 skin made it into xbmc. added conflicts hint to this PKGBUILD
+
+8th May 2009
+20059 - haggy: minor push past 9.04, removed copying the source tree to a build tree which wastes space,
+               takes ages and stresses the hdd for no reason. instead we now use svn to revert to a 
+               clean build dir.
+
+5th May 2009
+19941 - rich: heaps more tickets closed, Mexican translation
+
+30th April 2009
+19841 - haggy: lots of closed tickets worth a release, removed xsession patch
+
+27th April 2009
+19753 - haggy: added patch for xsession file breaking installation into fakeroot.
+
+22nd April 2009
+19602 - richy: version bump to address problem with python scripts and plugins
+
+20th April 2009
+19550 - haggy: pushed rev, some .mov fixes and better i18n in xbmc
+
+17th April 2009
+19517 - haggy: pushed rev, re-added installfile
+19516-2- richy: Added back autoreconf -vif in libdvdcss - still required for some folk (me)
+19516 - haggy: pushed rev, moved patches to patchfiles, added 'safe fullscreen patch', several cleanups
+
+15th April 2009
+19484 - haggy: pushed rev, re-enabled MAKEFLAGS to allow a more streamlined package
+
+14th April 2009
+19463 - haggy: added install file 
+19463 - richy: moved _svn* back inside build() on Haggy's suggestion. Let's try and avoid broken releases!
+19463 - richy: makedepends 'subversion' instead of 'svn' because that's what's in the guidelines
+19463 - richy: changed licens from ('GPL' 'custom') to ('GPL', 'LGPL') - See: http://xbmc.org/about/
+
+13th April 2009 - initial upload to AUR, tested on 32bit and 64bit.
+19444 - richy: Moved _svn* outside of build so that users get the latest SVN.
+19444 - richy: Added a symlink for XBMCtex to usr/bin/XBMCtex
+19444 - richy: Moved libcdio into depends from opt-depends - right now it is a dependency.
+
diff --git a/abs/extra-testing/community/xbmc-svn/PKGBUILD b/abs/extra-testing/community/xbmc-svn/PKGBUILD
new file mode 100644
index 0000000..878e2ae
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/PKGBUILD
@@ -0,0 +1,124 @@
+# Contributors : Richard Atkinson atkinsonr-at-gmail 
+#                Ralf Barth <archlinux dot org at haggy dot org>
+#
+# Original credits go to Edgar Hucek <gimli at dark-green dot com>
+# for his xbmc-vdpau-vdr PKGBUILD at https://archvdr.svn.sourceforge.net/svnroot/archvdr/trunk/archvdr/xbmc-vdpau-vdr/PKGBUILD
+
+pkgname=xbmc-svn
+pkgver=20231
+pkgrel=2
+pkgdesc="XBMC Media Center from SVN (linuxport branch)"
+provides=('xbmc')
+conflicts=('xbmc' 'xbmc-smoothvideo' 'xbmc-vdpau')
+arch=('i686' 'x86_64')
+url="http://xbmc.org"
+license=('GPL' 'LGPL')
+depends=('alsa-lib' 'curl' 'enca' 'faac' 'freetype2' 'fribidi' 'gawk' 'glew' \
+         'hal' 'jasper' 'libgl' 'libjpeg>=6b-5' 'libmad' 'libmysqlclient' \
+         'libxinerama' 'libxrandr' 'lzo2' 'sdl_image' 'sdl_mixer' 'sqlite3' \
+         'tre' 'unzip' 'x-server' 'libcdio' 'libsamplerate')
+makedepends=('subversion' 'autoconf' 'automake' 'boost' 'cmake' 'gcc' 'gperf' 
+             'libtool>=2.2.6a-1' 'make' 'nasm' 'patch' 'pkgconfig' 'zip')
+optdepends=('lirc: remote controller support'
+            'pmount: mount removable devices as normal user'
+            'smbclient: access windows shares'
+            'unrar: access compressed files without unpacking them')
+install=("${pkgname}.install")
+source=('libcurl-not-in-lib64.patch' \
+        'libfaad2-enable-AC_PROG_CXX.patch' \
+        'xbmc-safe-fullscreen.patch')
+noextract=('libcurl-not-in-lib64.patch' \
+           'libfaad2-enable-AC_PROG_CXX.patch' \
+           'xbmc-safe-fullscreen.patch')
+md5sums=('96636ee964e37b78ca62235eb10d29c1' \
+         '6864778d6adc3ccc79130c294f2fffd9' \
+         'c4d53522773846d8670884cc38f94aa0')
+options=(makeflags)
+
+build() {
+	
+    _svntrunk=http://xbmc.svn.sourceforge.net/svnroot/xbmc/branches/linuxport/XBMC
+    _svnmod=XBMC
+    _prefix=/usr
+
+    cd ${srcdir}/
+    if [ -d $_svnmod/.svn ]; then
+        msg "SVN tree found, reverting changes and updating to -r$pkgver"
+        (cd $_svnmod && svn revert --quiet -R . && svn up --quiet -r $pkgver) || return 1
+    else
+        msg "Checking out SVN tree of -r$pkgver"
+        svn co $_svntrunk --config-dir ./ --quiet -r $pkgver $_svnmod || return 1
+    fi
+    msg "Done. Starting make..."
+
+    # Apply patches
+    cd "$srcdir/$_svnmod"
+
+    # Experimental safe fullscreen patch from the forums (by motd2k)
+    msg "Patching with xbmc-safe-fullscreen.patch"
+    patch --quiet -p0 < "$srcdir/xbmc-safe-fullscreen.patch" || return 1
+
+    # Arch's libcurl lives in /usr/lib, not /usr/lib64 - fix the path:
+    msg "Patching with libcurl-not-in-lib64.patch" 
+    patch --quiet -p0 < "$srcdir/libcurl-not-in-lib64.patch" || return 1
+
+    # libfaad2 complains about a missing AC_PROG_CXX - add it and bootstrap:
+    msg "Patching with libfaad2-enable-AC_PROG_CXX.patch" 
+    patch --quiet -p0 < "$srcdir/libfaad2-enable-AC_PROG_CXX.patch" || return 1
+    autoreconf -vif xbmc/cores/dvdplayer/Codecs/libfaad2
+
+    # libass needs a bootstrap due to newer autotools in Arch Linux
+    autoreconf -vif xbmc/lib/libass
+
+    # Another autotools mismatch between Arch and Ubuntu (xbmc-linuxport is developed against Ubuntu)
+    autoreconf -vif "$srcdir/$_svnmod/xbmc/cores/dvdplayer/Codecs/libdvd/libdvdcss"
+
+    # Goom also needs a fixup due to newer autotools
+    cd "$srcdir/$_svnmod/xbmc/visualizations/Goom/goom2k4-0"
+    aclocal
+    libtoolize --copy --force
+    ./autogen.sh --enable-static --with-pic
+    
+    # Configure XBMC
+    cd "$srcdir/$_svnmod"
+    make distclean
+    ./configure --prefix=${_prefix} \
+                --disable-debug --disable-pulse --enable-vdpau || return 1
+    
+    # Fix false negative detections of realloc that happens some times
+    if grep -q 'HAVE_REALLOC 0' config.h; then
+      sed -e 's|#define HAVE_REALLOC 0|#define HAVE_REALLOC 1|' \
+          -e 's|#define realloc rpl_realloc|/* #define realloc rpl_realloc */|' \
+          -i config.h || return 1
+    fi
+
+    # XBMCTex will segfault on systems with nvidia installed if linked to OpenGL
+    sed -e 's/-lGLU -lGLEW -lGL//' \
+        -i ${srcdir}/$_svnmod/tools/XBMCTex/Makefile
+
+    # Now (finally) build
+    make || return 1
+    make prefix=${pkgdir}${_prefix} install || return 1
+
+    # Install 
+    install -Dm755 ${srcdir}/$_svnmod/xbmc-xrandr \
+                   ${pkgdir}${_prefix}/share/xbmc/xbmc-xrandr || return 1
+
+    install -Dm644 ${srcdir}/$_svnmod/tools/Linux/xbmc.desktop \
+                   ${pkgdir}${_prefix}/share/applications/xbmc.desktop || return 1
+
+    install -Dm644 ${srcdir}/$_svnmod/tools/Linux/xbmc.png \
+                   ${pkgdir}${_prefix}/share/pixmaps/xbmc.png || return 1
+
+    install -Dm755 ${srcdir}/$_svnmod/tools/XBMCTex/XBMCTex \
+                   ${pkgdir}${_prefix}/share/xbmc/tools/xbmctex || return 1
+
+    # Skins often use build.sh that looks for /usr/bin/XBMCTex
+    ln -s "${_prefix}/share/xbmc/tools/xbmctex" "$pkgdir/usr/bin/XBMCTex"
+
+    install -dm755 ${pkgdir}${_prefix}/share/licenses/${pkgname}
+    for licensef in LICENSE.GPL README.linux copying.txt; do
+        mv ${pkgdir}${_prefix}/share/xbmc/${licensef} \
+           ${pkgdir}${_prefix}/share/licenses/${pkgname} || return 1
+    done
+}
diff --git a/abs/extra-testing/community/xbmc-svn/libcurl-not-in-lib64.patch b/abs/extra-testing/community/xbmc-svn/libcurl-not-in-lib64.patch
new file mode 100644
index 0000000..b89db5a
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/libcurl-not-in-lib64.patch
@@ -0,0 +1,13 @@
+Index: Makefile.include.in
+===================================================================
+--- Makefile.include.in	(revision 20149)
++++ Makefile.include.in	(working copy)
+@@ -24,7 +24,7 @@
+ 
+ ifeq (linux,$(findstring linux, $(ARCH)))
+ ifeq ($(ARCH), x86_64-linux)
+-	DEFINES+=-DDLL_PATH_LIBCURL="\"/usr/lib64/libcurl.so.4\""
++	DEFINES+=-DDLL_PATH_LIBCURL="\"/usr/lib/libcurl.so.4\""
+ else
+ 	DEFINES+=-DDLL_PATH_LIBCURL="\"/usr/lib/libcurl.so.4\""
+ endif
diff --git a/abs/extra-testing/community/xbmc-svn/libfaad2-enable-AC_PROG_CXX.patch b/abs/extra-testing/community/xbmc-svn/libfaad2-enable-AC_PROG_CXX.patch
new file mode 100644
index 0000000..89d7497
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/libfaad2-enable-AC_PROG_CXX.patch
@@ -0,0 +1,13 @@
+Index: xbmc/cores/dvdplayer/Codecs/libfaad2/configure.in
+===================================================================
+--- xbmc/cores/dvdplayer/Codecs/libfaad2/configure.in	(revision 19486)
++++ xbmc/cores/dvdplayer/Codecs/libfaad2/configure.in	(working copy)
+@@ -18,7 +18,7 @@
+ AC_PROG_CC
+ AC_PROG_CPP
+ dnl disable for mpeg4ip plugin
+-dnl AC_PROG_CXX
++AC_PROG_CXX
+ AC_PROG_INSTALL
+ AC_PROG_LN_S
+ AC_PROG_MAKE_SET
diff --git a/abs/extra-testing/community/xbmc-svn/xbmc-safe-fullscreen.patch b/abs/extra-testing/community/xbmc-svn/xbmc-safe-fullscreen.patch
new file mode 100644
index 0000000..d112e52
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/xbmc-safe-fullscreen.patch
@@ -0,0 +1,23 @@
+Index: xbmc/Application.cpp
+===================================================================
+--- xbmc/Application.cpp	(revision 20059)
++++ xbmc/Application.cpp	(working copy)
+@@ -873,6 +873,8 @@
+ #endif
+ 
+   // set GUI res and force the clear of the screen
++  if (g_guiSettings.GetBool("videoscreen.safefull"))
++    g_guiSettings.m_LookAndFeelResolution = AUTORES;
+   g_graphicsContext.SetVideoResolution(g_guiSettings.m_LookAndFeelResolution, TRUE, true);
+ 
+ #ifdef _WIN32PC
+@@ -949,6 +951,9 @@
+   time(&seconds);
+   srand((unsigned int)seconds);
+ 
++  if (g_guiSettings.GetBool("videoscreen.safefull"))
++    g_graphicsContext.ToggleFullScreenRoot();
++
+   return CXBApplicationEx::Create(hWnd);
+ }
+ 
diff --git a/abs/extra-testing/community/xbmc-svn/xbmc-svn.install b/abs/extra-testing/community/xbmc-svn/xbmc-svn.install
new file mode 100644
index 0000000..9316bc8
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/xbmc-svn.install
@@ -0,0 +1,9 @@
+post_install() {
+  echo ">> If XBMC won't start, but just segfaults, double check your X.Org config"
+  echo ">> so that your display depth is at least 24-bit. Eg: change "
+  echo ">> \"DefaultDepth 16\" under the \"Screen\" section so it says 24 instead"
+  echo ">> of 16."
+  /bin/true
+}
+
+# vim:set ts=2 sw=2 et:
-- 
cgit v0.12


From 04639c5cae64dcafdfc7c8e2215cf49a54f5929d Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Mon, 18 May 2009 12:45:41 -0400
Subject: bumped mythtv-svn to 20586

---
 abs/core-testing/mythtv/trunk/morethemes/PKGBUILD     | 4 ++--
 abs/core-testing/mythtv/trunk/mp_all.sh               | 2 +-
 abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD    | 4 ++--
 abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD    | 4 ++--
 abs/core-testing/mythtv/trunk/mythflix/PKGBUILD       | 4 ++--
 abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD    | 4 ++--
 abs/core-testing/mythtv/trunk/mythgame/PKGBUILD       | 4 ++--
 abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD     | 4 ++--
 abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD      | 4 ++--
 abs/core-testing/mythtv/trunk/mythnews/PKGBUILD       | 4 ++--
 abs/core-testing/mythtv/trunk/myththemes/PKGBUILD     | 4 ++--
 abs/core-testing/mythtv/trunk/mythtv/PKGBUILD         | 4 ++--
 abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD      | 4 ++--
 abs/core-testing/mythtv/trunk/mythweather/PKGBUILD    | 4 ++--
 abs/core-testing/mythtv/trunk/mythweb/PKGBUILD        | 4 ++--
 abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD | 4 ++--
 16 files changed, 31 insertions(+), 31 deletions(-)

diff --git a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
index 76bf1e1..4e920a7 100644
--- a/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/morethemes/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=morethemes-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Additional themes for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mp_all.sh b/abs/core-testing/mythtv/trunk/mp_all.sh
index 6562fc8..aa95719 100755
--- a/abs/core-testing/mythtv/trunk/mp_all.sh
+++ b/abs/core-testing/mythtv/trunk/mp_all.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-_svnver=20414
+_svnver=20586
 
 # NOTE: Make sure to build and install mythtv first BEFORE building anything else
 buildlist=('mythtv' 'mytharchive' 'mythbrowser' 'mythflix' 'mythgallery' 'mythgame' 'mythmovies' 'mythmusic' 'mythnews' 'mythvideo' 'mythweather' 'mythzoneminder' 'mythweb' 'myththemes' 'morethemes')
diff --git a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
index 9b46396..d4967a7 100644
--- a/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mytharchive/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mytharchive-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
index 61027ee..8152586 100644
--- a/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythbrowser/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythbrowser-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Mini web browser for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD b/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
index 9b8fc04..d5ed49f 100644
--- a/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythflix/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythflix-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Netflix access plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
index e7237d6..d849c09 100644
--- a/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgallery/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythgallery-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Image gallery plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
index aa7ce31..e2431b8 100644
--- a/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythgame/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythgame-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Emulation plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
index 2007dea..846dc17 100644
--- a/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmovies/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythmovies-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Displays information about movies playing in the area."
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
index d8f8d2f..9af2e84 100644
--- a/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythmusic/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythmusic-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Music playing plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
index 23f3115..33c7b02 100644
--- a/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythnews/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythnews-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="News checking plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
index 0176c51..f20a50e 100755
--- a/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/myththemes/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=myththemes-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Themes for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
index b3dbcfd..b2b943e 100755
--- a/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythtv/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythtv-svn
-pkgver=20414
-pkgrel=4
+pkgver=20586
+pkgrel=1
 pkgdesc="A personal video recorder for Linux"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
index 00ba11c..a8598c1 100644
--- a/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythvideo/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythvideo-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Video playback and browsing plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
index 7beca03..c4beb8c 100644
--- a/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweather/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweather-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Weather checking plugin for MythTV"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
index f2e28fd..533e4f4 100644
--- a/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythweb/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythweb-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Web interface for MythTV's backend"
 url="http://www.mythtv.org"
 license="GPL"
diff --git a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
index 9c2933d..398253e 100644
--- a/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
+++ b/abs/core-testing/mythtv/trunk/mythzoneminder/PKGBUILD
@@ -1,6 +1,6 @@
 pkgname=mythzoneminder-svn
-pkgver=20414
-pkgrel=2
+pkgver=20586
+pkgrel=1
 pkgdesc="Integrates ZoneMinder into MythTV"
 url="http://www.mythtv.org"
 license="GPL"
-- 
cgit v0.12


From 231f103da1a6df0113b1f6ea3bf005ce1e9db285 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Mon, 18 May 2009 12:55:04 -0400
Subject: fresh build

---
 abs/extra-testing/community/xbmc-svn/PKGBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/abs/extra-testing/community/xbmc-svn/PKGBUILD b/abs/extra-testing/community/xbmc-svn/PKGBUILD
index 878e2ae..2e90b20 100644
--- a/abs/extra-testing/community/xbmc-svn/PKGBUILD
+++ b/abs/extra-testing/community/xbmc-svn/PKGBUILD
@@ -6,7 +6,7 @@
 
 pkgname=xbmc-svn
 pkgver=20231
-pkgrel=2
+pkgrel=3
 pkgdesc="XBMC Media Center from SVN (linuxport branch)"
 provides=('xbmc')
 conflicts=('xbmc' 'xbmc-smoothvideo' 'xbmc-vdpau')
-- 
cgit v0.12


From e7cd231a27e5f65ed92b56c85e0e05aeb3645132 Mon Sep 17 00:00:00 2001
From: Nathan Harris <nharris@eoimaging.com>
Date: Tue, 19 May 2009 10:50:29 -0400
Subject: Bumped xbmc-svn to 20449 plus added common remote support

---
 abs/extra-testing/community/xbmc-svn/CHANGELOG   |  20 ++
 abs/extra-testing/community/xbmc-svn/Lircmap.xml | 233 +++++++++++++++++++++++
 abs/extra-testing/community/xbmc-svn/PKGBUILD    |  31 +--
 abs/extra-testing/community/xbmc-svn/__changelog |   1 +
 4 files changed, 273 insertions(+), 12 deletions(-)
 create mode 100644 abs/extra-testing/community/xbmc-svn/Lircmap.xml
 create mode 100644 abs/extra-testing/community/xbmc-svn/__changelog

diff --git a/abs/extra-testing/community/xbmc-svn/CHANGELOG b/abs/extra-testing/community/xbmc-svn/CHANGELOG
index 3db76d1..170990b 100644
--- a/abs/extra-testing/community/xbmc-svn/CHANGELOG
+++ b/abs/extra-testing/community/xbmc-svn/CHANGELOG
@@ -1,5 +1,25 @@
 xbmc-svn Change log:
 --------------------
+
+19th May 2009
+20449-1 richy: 1. Removed the autoreconf line as it didn't seem to help
+               2. Added !makeflags
+               3. Rev push :-)
+
+16th May 2009
+20343-1 richy: 1. added python as a depenency and removed x-server (namcap advised),
+               2. added autoreconf to goom before aclocal - another pot-shot at the goom compile prob.
+               3. added flax and bison to makedepends - I thought they were implicitely provided, but
+                    some users didn't have them.
+               4. Rev push to 20343
+               5. Removed the --quiet flag form SVN for now as sourcforge was timing out and
+                    failing silently.
+ 
+               Note: namcap advised a number of other changes which I ignored for now.
+
+15th May 2009
+20231-3 - haggy: added libsamplerate as a dependency, it is needed for the recent smoothvideo patches
+
 14th May 2009
 20231-2 - haggy: another shot in the dark to fix that damn goom compilation error
 
diff --git a/abs/extra-testing/community/xbmc-svn/Lircmap.xml b/abs/extra-testing/community/xbmc-svn/Lircmap.xml
new file mode 100644
index 0000000..600567f
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/Lircmap.xml
@@ -0,0 +1,233 @@
+<!-- This file contains the mapping of LIRC keys to XBMC keys used in Keymap.xml  -->
+<!--                                                                              -->
+<!-- How to add remotes                                                           -->
+<!-- <remote device="name_Lirc_calls_the_remote">                                 -->
+<!--                                                                              -->
+<!-- For the commands the layout following layout is used                         -->
+<!-- <XBMC_COMMAND>LircButtonName</XBMC_COMMAND>                                  -->
+<!--                                                                              -->
+<!-- For a list of XBMC_COMMAND's check out the <remote> sections of keymap.xml   -->
+
+<lircmap>
+	<remote device="mceusb">
+		<pause>Pause</pause>
+		<stop>Stop</stop>
+		<forward>Forward</forward>
+		<reverse>Rewind</reverse>
+		<left>Left</left>
+		<right>Right</right>
+		<up>Up</up>
+		<down>Down</down>
+		<select>OK</select>
+		<pageplus>ChanUp</pageplus>
+		<pageminus>ChanDown</pageminus>
+		<back>Back</back>
+		<menu>PreviousMenu</menu>
+		<title>Play</title>
+		<info>More</info>
+		<skipplus>Skip</skipplus>
+		<skipminus>Replay</skipminus>
+		<display>Teletext</display>
+		<start>Home</start>
+		<record>Record</record>
+		<volumeplus>VolUp</volumeplus>
+		<volumeminus>VolDown</volumeminus>
+		<mute>Mute</mute>
+		<power>Power</power>
+		<myvideo>Videos</myvideo>
+		<mymusic>Music</mymusic>
+		<mypictures>Pictures</mypictures>
+		<mytv>TV</mytv>
+		<one>One</one>
+		<two>Two</two>
+		<three>Three</three>
+		<four>Four</four>
+		<five>Five</five>
+		<six>Six</six>
+		<seven>Seven</seven>
+		<eight>Eight</eight>
+		<nine>Nine</nine>
+		<zero>Zero</zero>
+		<mytv>Red</mytv>
+		<mymusic>Green</mymusic>
+		<mypictures>Yellow</mypictures>
+		<myvideo>Blue</myvideo>
+	</remote>
+	
+	<remote device="mceusb2">
+		<pause>Pause</pause>
+		<stop>Stop</stop>
+		<forward>Forward</forward>
+		<reverse>Rewind</reverse>
+		<left>Left</left>
+		<right>Right</right>
+		<up>Up</up>
+		<down>Down</down>
+		<select>OK</select>
+		<pageplus>ChanUp</pageplus>
+		<pageminus>ChanDown</pageminus>
+		<back>Back</back>
+		<menu>PreviousMenu</menu>
+		<title>Play</title>
+		<info>More</info>
+		<skipplus>Skip</skipplus>
+		<skipminus>Replay</skipminus>
+		<display>Teletext</display>
+		<start>Home</start>
+		<record>Record</record>
+		<volumeplus>VolUp</volumeplus>
+		<volumeminus>VolDown</volumeminus>
+		<mute>Mute</mute>
+		<power>Power</power>
+		<myvideo>Videos</myvideo>
+		<mymusic>Music</mymusic>
+		<mypictures>Pictures</mypictures>
+		<mytv>TV</mytv>
+		<one>One</one>
+		<two>Two</two>
+		<three>Three</three>
+		<four>Four</four>
+		<five>Five</five>
+		<six>Six</six>
+		<seven>Seven</seven>
+		<eight>Eight</eight>
+		<nine>Nine</nine>
+		<zero>Zero</zero>
+		<mytv>Red</mytv>
+		<mymusic>Green</mymusic>
+		<mypictures>Yellow</mypictures>
+		<myvideo>Blue</myvideo>
+	</remote>
+	
+	<remote device="XboxDVDDongle">
+		<play>PLAY</play>
+		<pause>PAUSE</pause>
+		<stop>STOP</stop>
+		<forward>FORWARD</forward>
+		<reverse>REVERSE</reverse>
+		<left>LEFT</left>
+		<right>RIGHT</right>
+		<up>UP</up>
+		<down>DOWN</down>
+		<select>SELECT</select>
+		<back>BACK</back>
+		<menu>MENU</menu>
+		<title>TITLE</title>
+		<info>INFO</info>
+		<skipplus>SKIP+</skipplus>
+		<skipminus>SKIP-</skipminus>
+		<display>DISPLAY</display>
+		<one>1</one>
+		<two>2</two>
+		<three>3</three>
+		<four>4</four>
+		<five>5</five>
+		<six>6</six>
+		<seven>7</seven>
+		<eight>8</eight>
+		<nine>9</nine>
+		<zero>0</zero>
+	</remote>
+
+	<remote device="Microsoft_Xbox">
+		<play>PLAY</play>
+		<pause>PAUSE</pause>
+		<stop>STOP</stop>
+		<forward>FORWARD</forward>
+		<reverse>REVERSE</reverse>
+		<left>LEFT</left>
+		<right>RIGHT</right>
+		<up>UP</up>
+		<down>DOWN</down>
+		<select>SELECT</select>
+		<back>BACK</back>
+		<menu>MENU</menu>
+		<title>TITLE</title>
+		<info>INFO</info>
+		<skipplus>SKIP+</skipplus>
+		<skipminus>SKIP-</skipminus>
+		<display>DISPLAY</display>
+		<one>1</one>
+		<two>2</two>
+		<three>3</three>
+		<four>4</four>
+		<five>5</five>
+		<six>6</six>
+		<seven>7</seven>
+		<eight>8</eight>
+		<nine>9</nine>
+		<zero>0</zero>
+	</remote>
+
+	<remote device="PinnacleSysPCTVRemote">
+		<play>Play</play>
+		<pause>pause</pause>
+		<stop>Stop</stop>
+		<forward>FForward</forward>
+		<reverse>Rewind</reverse>
+		<left>Vol-Rew</left>
+		<right>Vol+FF</right>
+		<up>Chan+Play</up>
+		<down>Chan-Stop</down>
+		<pageplus>channel+</pageplus>
+		<pageminus>channel-</pageminus>
+		<select>middle</select>
+		<back>undo</back>
+		<menu>Menu</menu>
+		<title>L</title>
+		<info>Info</info>
+		<skipplus>next</skipplus>
+		<display>Fullscreen</display>
+		<record>Record</record>
+		<volumeplus>vol+</volumeplus>
+		<volumeminus>vol-</volumeminus>
+		<mute>Mute</mute>
+		<power>Power</power>
+		<one>1</one>
+		<two>2</two>
+		<three>3</three>
+		<four>4</four>
+		<five>5</five>
+		<six>6</six>
+		<seven>7</seven>
+		<eight>8</eight>
+		<nine>9</nine>
+		<zero>0</zero>
+	</remote>
+
+        <remote device="Streamzap_PC_Remote">
+                <play>PLAY</play>
+                <pause>PAUSE</pause>
+                <stop>STOP</stop>
+                <forward>&gt;&gt;</forward>
+                <reverse>&lt;&lt;</reverse>
+                <left>LEFT</left>
+                <right>RIGHT</right>
+                <up>UP</up>
+                <down>DOWN</down>
+                <pageplus>CH_UP</pageplus>
+                <pageminus>CH_DOWN</pageminus>
+                <select>OK</select>
+                <back>EXIT</back>
+                <menu>MENU</menu>
+                <title>RED</title>
+                <info>GREEN</info>
+                <skipplus>&gt;&gt;|</skipplus>
+                <display>YELLOW</display>
+                <record>RECORD</record>
+                <volumeplus>VOL_UP</volumeplus>
+                <volumeminus>VOL_DOWN</volumeminus>
+                <mute>MUTE</mute>
+                <power>POWER</power>
+                <one>1</one>
+                <two>2</two>
+                <three>3</three>
+                <four>4</four>
+                <five>5</five>
+                <six>6</six>
+                <seven>7</seven>
+                <eight>8</eight>
+                <nine>9</nine>
+                <zero>0</zero>
+        </remote>
+</lircmap>
diff --git a/abs/extra-testing/community/xbmc-svn/PKGBUILD b/abs/extra-testing/community/xbmc-svn/PKGBUILD
index 2e90b20..e583600 100644
--- a/abs/extra-testing/community/xbmc-svn/PKGBUILD
+++ b/abs/extra-testing/community/xbmc-svn/PKGBUILD
@@ -5,8 +5,8 @@
 # for his xbmc-vdpau-vdr PKGBUILD at https://archvdr.svn.sourceforge.net/svnroot/archvdr/trunk/archvdr/xbmc-vdpau-vdr/PKGBUILD
 
 pkgname=xbmc-svn
-pkgver=20231
-pkgrel=3
+pkgver=20449
+pkgrel=1
 pkgdesc="XBMC Media Center from SVN (linuxport branch)"
 provides=('xbmc')
 conflicts=('xbmc' 'xbmc-smoothvideo' 'xbmc-vdpau')
@@ -16,9 +16,9 @@ license=('GPL' 'LGPL')
 depends=('alsa-lib' 'curl' 'enca' 'faac' 'freetype2' 'fribidi' 'gawk' 'glew' \
          'hal' 'jasper' 'libgl' 'libjpeg>=6b-5' 'libmad' 'libmysqlclient' \
          'libxinerama' 'libxrandr' 'lzo2' 'sdl_image' 'sdl_mixer' 'sqlite3' \
-         'tre' 'unzip' 'x-server' 'libcdio' 'libsamplerate')
+         'tre' 'unzip' 'libcdio' 'libsamplerate' 'python')
 makedepends=('subversion' 'autoconf' 'automake' 'boost' 'cmake' 'gcc' 'gperf' 
-             'libtool>=2.2.6a-1' 'make' 'nasm' 'patch' 'pkgconfig' 'zip')
+             'libtool>=2.2.6a-1' 'make' 'nasm' 'patch' 'pkgconfig' 'zip' 'flex' 'bison')
 optdepends=('lirc: remote controller support'
             'pmount: mount removable devices as normal user'
             'smbclient: access windows shares'
@@ -26,14 +26,18 @@ optdepends=('lirc: remote controller support'
 install=("${pkgname}.install")
 source=('libcurl-not-in-lib64.patch' \
         'libfaad2-enable-AC_PROG_CXX.patch' \
-        'xbmc-safe-fullscreen.patch')
+        'xbmc-safe-fullscreen.patch'
+	'Lircmap.xml')
 noextract=('libcurl-not-in-lib64.patch' \
            'libfaad2-enable-AC_PROG_CXX.patch' \
            'xbmc-safe-fullscreen.patch')
-md5sums=('96636ee964e37b78ca62235eb10d29c1' \
-         '6864778d6adc3ccc79130c294f2fffd9' \
-         'c4d53522773846d8670884cc38f94aa0')
-options=(makeflags)
+
+md5sums=('96636ee964e37b78ca62235eb10d29c1'
+         '6864778d6adc3ccc79130c294f2fffd9'
+         'c4d53522773846d8670884cc38f94aa0'
+	 '3f93186f1ea4aad73011d00754c7265a')
+
+options=(!makeflags)
 
 build() {
 	
@@ -44,10 +48,10 @@ build() {
     cd ${srcdir}/
     if [ -d $_svnmod/.svn ]; then
         msg "SVN tree found, reverting changes and updating to -r$pkgver"
-        (cd $_svnmod && svn revert --quiet -R . && svn up --quiet -r $pkgver) || return 1
+        (cd $_svnmod && svn revert -R . && svn up -r $pkgver) || return 1
     else
         msg "Checking out SVN tree of -r$pkgver"
-        svn co $_svntrunk --config-dir ./ --quiet -r $pkgver $_svnmod || return 1
+        svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod || return 1
     fi
     msg "Done. Starting make..."
 
@@ -83,7 +87,7 @@ build() {
     cd "$srcdir/$_svnmod"
     make distclean
     ./configure --prefix=${_prefix} \
-                --disable-debug --disable-pulse --enable-vdpau || return 1
+                --disable-debug || return 1
     
     # Fix false negative detections of realloc that happens some times
     if grep -q 'HAVE_REALLOC 0' config.h; then
@@ -121,4 +125,7 @@ build() {
         mv ${pkgdir}${_prefix}/share/xbmc/${licensef} \
            ${pkgdir}${_prefix}/share/licenses/${pkgname} || return 1
     done
+
+    # Use custom Lircmap to support StreamZap remote
+    cp $srcdir/Lircmap.xml ${pkgdir}${_prefix}/share/xbmc/system/Lircmap.xml
 }
diff --git a/abs/extra-testing/community/xbmc-svn/__changelog b/abs/extra-testing/community/xbmc-svn/__changelog
new file mode 100644
index 0000000..bbf1705
--- /dev/null
+++ b/abs/extra-testing/community/xbmc-svn/__changelog
@@ -0,0 +1 @@
+Added Lircmap.xml to PKGBUILD to support MCE2 and StreamZap remotes
-- 
cgit v0.12